Package com.google.android.exoplayer2.source.chunk

## Interface ChunkSampleStream.ReleaseCallback<T extends ChunkSource>

- Enclosing class:
    ChunkSampleStream<T extends ChunkSource>

      public static interface ChunkSampleStream.ReleaseCallback<T extends ChunkSource>

  A callback to be notified when a sample stream has finished being released.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onSampleStreamReleased​(ChunkSampleStream<T> chunkSampleStream)` | Called when the `ChunkSampleStream` has finished being released.

- - ### Method Detail

    - #### onSampleStreamReleased

          void onSampleStreamReleased​(ChunkSampleStream<T> chunkSampleStream)

      Called when the `ChunkSampleStream` has finished being released.
      Parameters:
        `chunkSampleStream` - The released sample stream.